<?php
/**
 * Filename: _dashboard.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class videoHacksLiveDashboards {
	function __construct() {
		add_action('init', array($this, 'init'));
	}

	function init() {
		add_action('wp_dashboard_setup', array($this, 'installDashboard'), 100);
	}

	function installDashboard($args) {
		global $wp_meta_boxes;

		wp_add_dashboard_widget(VHL_CODE, '<a href="http://videohacks.com/" target="_blank" style="color:#23282d!important; font-size:14px; line-height:1.4; text-decoration:none; font-weight:bold;">'. VHL_NAME .'</a>', array($this, 'content'));
	}

	function content() {
		global $videoHacksLiveDatabase;

		$tube = $videoHacksLiveDatabase->getLiveVideoToDashboard();
		if (0 != count($tube)) {
			foreach ($tube as $data) {
				?>

				<h2 style="text-align:center;">Quick Live Feed Update</h2>


				<!-- banner codes -->
				<div style="width:100%!important; padding:5px!important;">
					<?php include_once (VHL_PATH .'tmpl/pages/banner.txt'); ?>
				</div>
				<!-- // banner codes -->


				<label for="vhl_videoid" style="font-weight:bold;">Video ID</label> <br />
				<input type="text" name="live_videoid" id="live_videoid" placeholder="Enter Video ID" value="<?php echo $data['videoid']; ?>" style="width:100%; padding:3px;" />


				<br /><br />
				<h2 style="text-align:center;">Update Live Stream</h2>

				<div id="holder-vhl-content">
					<?php
					wp_editor($data['banner_content'], 'live_banner_content', array(
						'textarea_name' => 'live_banner_content',
						'textarea_rows' => 8,
						'wpautop'       => true,
						'media_buttons' => true,
						'quicktags'     => false
					));
					?>
				</div>

				<div id="holder-vhl-button" style="margin-top:10px;">
					<input type="submit" name="cmdUpdateOfferPush" id="cmdUpdateOfferPush" class="button button-primary" value="Update Offer Push" />
					<span id="dialog-vhl"></span>

					<span style="float:right;">
						<a href="<?php echo get_bloginfo('url') .'?p='. $data['hijack_postid']; ?>" class="button button-secondary" target="_blank">View Stream</a>
					</span>
				</div>




				<script type="text/javascript">
					var vhl = jQuery.noConflict();
					vhl(function($) {
						$('#cmdUpdateOfferPush').click(function() {
							var $id         = <?php echo $data['id']; ?>,
								$videoid    = $('#live_videoid'),
								$content    = tinyMCE.get('live_banner_content').getContent(),
								$dialog     = $('#dialog-vhl');

							var $data       = {
								action  : 'vhl_update_offer_push',
								id      : $id,
								videoid : $videoid.val(),
								content : $content
							}

							$dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Submitting data... Please wait!');
							$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
								if (res != 'done') {
									$dialog.empty().removeClass('ui-state-highlight').addClass('ui-state-error').append('There was a problem submitting your data. Please try again!');
								}
								else {
									$dialog.empty().removeClass('ui-state-error').addClass('ui-state-highlight').append('Data has been successfully submitted.');
								}
							});

							return false;
						});
					});
				</script>

				<?php
			}
		}
		else {
			echo 'No live stream found.';
		}
	}
}

new videoHacksLiveDashboards();