<?php
/**
 * Filename: _database.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class videoHacksLiveDatabase {
    var $db;
    var $dbPrefix;

    var $tableName;
    var $tableCollation;

	var $tableVideos;
	var $tableVideos_version;

	var $tableYoutube;
	var $tableYoutube_version;

    var $tableOptions;
    var $tableOptionsDefaults;

    function __construct() {
        global $wpdb;

        $this->db                   = $wpdb;
        $this->dbPrefix             = $this->db->prefix;

        $this->tableName            = $this->dbPrefix .'vhl';
        $this->tableCollation       = $this->db->get_charset_collate();

	    $this->tableVideos          = $this->tableName .'_videos';
	    $this->tableVideos_version  = '1.0.0';

	    $this->tableYoutube         = $this->tableName .'_tubes';
	    $this->tableYoutube_version = '1.0.2';

	    $this->tableOptions         = $this->tableName .'_options';
        $this->tableOptionsDefaults = array(
	        'logo'          => VHL_URL .'live/images/logo.png',
	        'on-air'        => VHL_URL .'live/images/on-air.gif',
	        'background'    => VHL_URL .'live/images/bg.gif',
	        'socialmedia'   => '<a href="https://www.facebook.com/groups/affiliatemarketingdude/" target="_blank"><img src="'. VHL_URL .'live/images/facegroup.png" /><br />Click To Join Our Facebook Group</a>',
	        'footer'        => get_bloginfo('name') .' | Copyright &copy; 2017. All Rights Reserved'
        );
    }

    function execTable($table) {
        include_once (ABSPATH .'/wp-admin/includes/upgrade.php');
        dbDelta($table);
    }

    function install() {
	    $this->_installTableYoutube();
	    $this->_installTableVideos();
        $this->_installTableOptions();
    }

		function _installTableYoutube() {
			$version = get_option($this->tableYoutube);
            if ($version != $this->tableYoutube_version) {
                if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableYoutube .'_backup"') == $this->tableYoutube .'_backup') {
                    $q = 'CREATE TABLE `'. $this->tableYoutube .'_backup_2` LIKE `'. $this->tableYoutube .'_backup`';
                    $this->db->query($q);

                    $q2 = 'INSERT INTO `'. $this->tableYoutube .'_backup_2` SELECT * FROM `'. $this->tableYoutube .'_backup`';
                    $this->db->query($q2);

                    $q3 = 'DROP TABLE `'. $this->tableYoutube .'_backup`';
                    $this->db->query($q3);
                }


                if ($this->tableYoutube_version == '1.0.2') {
                    $table = 'CREATE TABLE `'. $this->tableYoutube .'` (
                        `youtubeid`     INT(10)         NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        `name`          VARCHAR(255)    NOT NULL,

						`channelid`     VARCHAR(255)    NOT NULL,

						`homepage`      INT(5)          NOT NULL DEFAULT 2,
						`pages`         INT(5)          NOT NULL DEFAULT 2,
						`pagesid`       VARCHAR(255)    NULL,
						`posts`         INT(5)          NOT NULL DEFAULT 2,
						`postsid`       VARCHAR(255)    NULL,

                        `created`       DATETIME        DEFAULT "0000-00-00 00:00:00",
						`modified`      DATETIME        DEFAULT "0000-00-00 00:00:00",
						`ip`            VARCHAR(255)    NOT NULL DEFAULT "127.0.0.1",
						`status`        INT(5)          NOT NULL DEFAULT 1
                    ) '. $this->tableCollation;
                }
                $this->execTable($table);


                if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableYoutube .'_backup_2"') == $this->tableYoutube .'_backup_2') {
                    $q = 'SELECT * FROM `'. $this->tableYoutube .'_backup_2`';
                    $res = $this->db->get_results($q, ARRAY_A);
                    if (0 != count($res)) {
                        foreach ($res as $data) {
                            if ($version == '1.0.2') {
                                $q2 = 'INSERT INTO `'. $this->tableYoutube .'` (
                                    `youtubeid`, `name`, `channelid`,
                                    `homepage`, `pages`, `pagesid`, `posts`, `postsid`,
                                    `created`, `modified`, `ip`, `status`
                                ) VALUES (
                                    "'. $data['youtubeid'] .'", "'. $data['name'] .'", "'. $data['channelid'] .'",
                                    "'. $data['homepage'] .'", "'. $data['pages'] .'", "'. $data['pagesid'] .'", "'. $data['posts'] .'", "'. $data['postsid'] .'",
                                    "'. $data['created'] .'", "'. $data['modified'] .'", "'. $data['ip'] .'", "'. $data['status'] .'"
                                )';
                            }
                            $this->db->query($q2);
                        }
                    }

                    $q3 = 'DROP TABLE `'. $this->tableYoutube .'_backup_2`';
                    $this->db->query($q3);
                }
            }
            else {
                if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableYoutube .'_backup"') == $this->tableYoutube .'_backup') {
                    $q = 'CREATE TABLE `'. $this->tableYoutube .'` LIKE `'. $this->tableYoutube .'_backup`';
                    $this->db->query($q);

                    $q2 = 'INSERT INTO `'. $this->tableYoutube .'` SELECT * FROM `'. $this->tableYoutube .'_backup`';
                    $this->db->query($q2);

                    $q3 = 'DROP TABLE `'. $this->tableYoutube .'_backup`';
                    $this->db->query($q3);
                }
            }
            update_option($this->tableYoutube, $this->tableYoutube_version);
		}

		function _installTableVideos() {
			$version = get_option($this->tableVideos);
            if ($version != $this->tableVideos_version) {
                if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableVideos .'_backup"') == $this->tableVideos .'_backup') {
                    $q = 'CREATE TABLE `'. $this->tableVideos .'_backup_2` LIKE `'. $this->tableVideos .'_backup`';
                    $this->db->query($q);

                    $q2 = 'INSERT INTO `'. $this->tableVideos .'_backup_2` SELECT * FROM `'. $this->tableVideos .'_backup`';
                    $this->db->query($q2);

                    $q3 = 'DROP TABLE `'. $this->tableVideos .'_backup`';
                    $this->db->query($q3);
                }


                if ($this->tableVideos_version == '1.0.0') {
                    $table = 'CREATE TABLE `'. $this->tableVideos .'` (
                        `id`                INT(10)         NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        `name`              VARCHAR(255)    NOT NULL,
                        `videoid`           VARCHAR(255)    NOT NULL,
						`description`       TEXT            NULL,

						`video_status`      INT(5)          NOT NULL DEFAULT 1,
                        `video_width`       VARCHAR(64)     NOT NULL,
                        `video_height`      VARCHAR(64)     NOT NULL,

                        `chat_status`       INT(5)          NOT NULL DEFAULT 1,
                        `chat_width`        VARCHAR(64)     NOT NULL,
                        `chat_height`       VARCHAR(64)     NOT NULL,

						`banner_status`     INT(5)          NOT NULL DEFAULT 2,
						`banner_location`   INT(5)          NOT NULL DEFAULT 2,
						`banner_width`      VARCHAR(64)     NOT NULL,
						`banner_height`     VARCHAR(64)     NOT NULL,
						`banner_content`    TEXT            NULL,

						`hijack_postid`     INT(5)          NOT NULL DEFAULT 0,

                        `created`           DATETIME        DEFAULT "0000-00-00 00:00:00",
						`modified`          DATETIME        DEFAULT "0000-00-00 00:00:00",
						`ip`                VARCHAR(255)    NOT NULL DEFAULT "127.0.0.1",
						`status`            INT(5)          NOT NULL DEFAULT 1
                    ) '. $this->tableCollation;
                }
                $this->execTable($table);


                if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableVideos .'_backup_2"') == $this->tableVideos .'_backup_2') {
                    $q = 'SELECT * FROM `'. $this->tableVideos .'_backup_2`';
                    $res = $this->db->get_results($q, ARRAY_A);
                    if (0 != count($res)) {
                        foreach ($res as $data) {
                            if ($version == '1.0.0') {
                                $q2 = 'INSERT INTO `'. $this->tableVideos .'` (
                                    `id`, `name`, `videoid`, `description`,
                                    `video_status`, `video_width`, `video_height`,
                                    `chat_status`, `chat_width`, `chat_height`,
                                    `banner_status`, `banner_location`, `banner_width`, `banner_height`, `banner_content`,
                                    `hijack_postid`,
                                    `created`, `modified`, `ip`, `status`
                                ) VALUES (
                                    "'. $data['id'] .'", "'. $data['name'] .'", "'. $data['videoid'] .'", "'. $data['description'] .'",
                                    "'. $data['video_status'] .'", "'. $data['video_width'] .'", "'. $data['video_height'] .'",
                                    "'. $data['chat_status'] .'", "'. $data['chat_width'] .'", "'. $data['chat_height'] .'",
                                    "'. $data['banner_status'] .'", "'. $data['banner_location'] .'", "'. $data['banner_width'] .'", "'. $data['banner_height'] .'", "'. $data['banner_content'] .'",
                                    "'. $data['hijack_postid'] .'",
                                    "'. $data['created'] .'", "'. $data['modified'] .'", "'. $data['ip'] .'", "'. $data['status'] .'"
                                )';
                            }
                            $this->db->query($q2);
                        }
                    }

                    $q3 = 'DROP TABLE `'. $this->tableVideos .'_backup_2`';
                    $this->db->query($q3);
                }
            }
            else {
                if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableVideos .'_backup"') == $this->tableVideos .'_backup') {
                    $q = 'CREATE TABLE `'. $this->tableVideos .'` LIKE `'. $this->tableVideos .'_backup`';
                    $this->db->query($q);

                    $q2 = 'INSERT INTO `'. $this->tableVideos .'` SELECT * FROM `'. $this->tableVideos .'_backup`';
                    $this->db->query($q2);

                    $q3 = 'DROP TABLE `'. $this->tableVideos .'_backup`';
                    $this->db->query($q3);
                }
            }
            update_option($this->tableVideos, $this->tableVideos_version);
		}

        function _installTableOptions() {
            $options = get_option($this->tableOptions);
            if (is_array($options) || !is_array($options)) :
                update_option($this->tableOptions, $this->tableOptionsDefaults);
            endif;
        }

    function uninstall() {
	    $this->_uninstallTableYoutube();
	    $this->_uninstallTableVideos();
        $this->_uninstallTableOptions();
    }

		function _uninstallTableYoutube() {
			if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableYoutube .'_backup"') != $this->tableYoutube .'_backup') {
				$q = 'CREATE TABLE `'. $this->tableYoutube .'_backup` LIKE `'. $this->tableYoutube .'`';
				$this->db->query($q);

				$q2 = 'INSERT INTO `'. $this->tableYoutube .'_backup` SELECT * FROM `'. $this->tableYoutube .'`';
				$this->db->query($q2);

				$q3 = 'DROP TABLE `'. $this->tableYoutube .'`';
				$this->db->query($q3);
			}
		}

		function _uninstallTableVideos() {
			if ($this->db->get_var('SHOW TABLES LIKE "'. $this->tableVideos .'_backup"') != $this->tableVideos .'_backup') {
                $q = 'CREATE TABLE `'. $this->tableVideos .'_backup` LIKE `'. $this->tableVideos .'`';
                $this->db->query($q);

                $q2 = 'INSERT INTO `'. $this->tableVideos .'_backup` SELECT * FROM `'. $this->tableVideos .'`';
                $this->db->query($q2);

                $q3 = 'DROP TABLE `'. $this->tableVideos .'`';
                $this->db->query($q3);
            }
		}

        function _uninstallTableOptions() {
            $options = get_option($this->tableOptions);
            if (is_array($options) || !is_array($options)) :
                delete_option($this->tableOptions);
            endif;
        }



	//* LET THE FUN BEGIN! ;)

	function getAllVideos() {
		$q = 'SELECT * FROM `'. $this->tableVideos .'` ORDER BY `id`';
		return $this->db->get_results($q, ARRAY_A);
	}

	function getAllVideosByStatus($status, $limit) {
		$q = 'SELECT * FROM `'. $this->tableVideos .'` WHERE `status`='. $status .' LIMIT '. $limit;
		return $this->db->get_results($q, ARRAY_A);
	}

	function getVideoById($id) {
		$q = 'SELECT * FROM `'. $this->tableVideos .'` WHERE `id`='. intval($id);
		return $this->db->get_row($q, ARRAY_A);
	}

	function getVideoByVideoId($videoid) {
		$q = 'SELECT * FROM `'. $this->tableVideos .'` WHERE `videoid`='. intval($videoid);
		return $this->db->get_row($q, ARRAY_A);
	}

	function getVideoByPostId($postid) {
		$q = 'SELECT * FROM `'. $this->tableVideos .'` WHERE `hijack_postid`='. intval($postid) .' AND `status`='. VHL_ENABLED;
		return $this->db->get_row($q, ARRAY_A);
	}

	function getWordpressPosts($type, $status) {
		$q = 'SELECT `ID`, `post_title` FROM `'. $this->dbPrefix .'posts` WHERE `post_type`="'. $type .'" AND `post_status`="'. $status .'"';
		return $this->db->get_results($q, ARRAY_A);
	}

	function addVideo() {
		if ($_POST) {
			$name           = trim(strip_tags($_POST['name']));
			$videoid        = trim(strip_tags($_POST['videoid']));
			$description    = '';

			$video_status   = (trim(strip_tags($_POST['video_status'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$video_width    = trim(strip_tags($_POST['video_width']));
			$video_height   = trim(strip_tags($_POST['video_height']));

			$chat_status    = (trim(strip_tags($_POST['chat_status'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$chat_width     = trim(strip_tags($_POST['chat_width']));
			$chat_height    = trim(strip_tags($_POST['chat_height']));

			$banner_status  = (trim(strip_tags($_POST['banner_status'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$banner_location= '';
			$banner_width   = trim(strip_tags($_POST['banner_width']));
			$banner_height  = trim(strip_tags($_POST['banner_height']));
			$banner_content = $_POST['banner_content'];

			$hijack_postid  = intval($_POST['hijack_postid']);

			$created        = strftime('%Y-%m-%d %T');
			$modified       = strftime('%Y-%m-%d %T');
			$ip             = $_SERVER['REMOTE_ADDR'];
			$status         = VHL_ENABLED;

			$q = 'INSERT INTO `'. $this->tableVideos .'` (
				`id`, `name`, `videoid`, `description`,
				`video_status`, `video_width`, `video_height`,
				`chat_status`, `chat_width`, `chat_height`,
				`banner_status`, `banner_location`, `banner_width`, `banner_height`, `banner_content`,
				`hijack_postid`,
				`created`, `modified`, `ip`, `status`
			) VALUES (
				NULL, "'. $name .'", "'. $videoid .'", "'. $description .'",
				"'. $video_status .'", "'. $video_width .'", "'. $video_height .'",
				"'. $chat_status .'", "'. $chat_width .'", "'. $chat_height .'",
				"'. $banner_status .'", "'. $banner_location .'", "'. $banner_width .'", "'. $banner_height .'", "'. $banner_content .'",
				"'. $hijack_postid .'",
				"'. $created .'", "'. $modified .'", "'. $ip .'", "'. $status .'"
			)';
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}

	function updateVideoStatus() {
		if ($_POST) {
			$id     = intval($_POST['id']);
			$tool   = $this->getVideoById($id);

			if (0 != count($tool)) {
				$status     = $tool['status'] == VHL_ENABLED ? VHL_DISABLED : VHL_ENABLED;
				$modified   = strftime('%Y-%m-%d %T');

				$q = 'UPDATE `'. $this->tableVideos .'` SET `status`='. $status .', `modified`="'. $modified .'" WHERE `id`='. intval($id);
				$this->db->query($q);

				die ('done');
			}
			die ('error');
		}
		die ('error');
	}

	function deleteVideo() {
		if ($_POST) {
			$id     = intval($_POST['id']);
			$tool   = $this->getVideoById($id);

			if (0 != count($tool)) {
				$q = 'DELETE FROM `'. $this->tableVideos .'` WHERE `id`='. intval($id);
				$this->db->query($q);

				die ('done');
			}
			die ('error');

			die ('done');
		}
		die ('error');
	}

	function editVideo() {
		if ($_POST) {
			$toolid         = intval($_POST['id']);
			$name           = trim(strip_tags($_POST['name']));
			$videoid        = trim(strip_tags($_POST['videoid']));
			$description    = '';

			$video_status   = (trim(strip_tags($_POST['video_status'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$video_width    = trim(strip_tags($_POST['video_width']));
			$video_height   = trim(strip_tags($_POST['video_height']));

			$chat_status    = (trim(strip_tags($_POST['chat_status'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$chat_width     = trim(strip_tags($_POST['chat_width']));
			$chat_height    = trim(strip_tags($_POST['chat_height']));

			$banner_status  = (trim(strip_tags($_POST['banner_status'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$banner_location= '';
			$banner_width   = trim(strip_tags($_POST['banner_width']));
			$banner_height  = trim(strip_tags($_POST['banner_height']));
			$banner_content = $_POST['banner_content'];

			$hijack_postid  = intval($_POST['hijack_postid']);

			$modified       = strftime('%Y-%m-%d %T');
			$ip             = $_SERVER['REMOTE_ADDR'];

			$q = 'UPDATE `'. $this->tableVideos .'` SET `name`="'. $name .'", `videoid`="'. $videoid .'", `description`="'. $description .'",
				`video_status`="'. $video_status .'", `video_width`="'. $video_width .'", `video_height`="'. $video_height .'",
				`chat_status`="'. $chat_status .'", `chat_width`="'. $chat_width .'", `chat_height`="'. $chat_height .'",
				`banner_status`="'. $banner_status .'", `banner_location`="'. $banner_location .'", `banner_width`="'. $banner_width .'", `banner_height`="'. $banner_height .'", `banner_content`="'. $banner_content .'",
				`hijack_postid`="'. $hijack_postid .'",
				`modified`="'. $modified .'", `ip`="'. $ip .'" WHERE `id`='. intval($toolid);
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}


	//* json
	function getJSONVideoById() {
		if ($_POST) {
			$id     = intval($_POST['id']);
			$tool   = $this->getVideoById($id);
			$option = get_option($this->tableOptions);

			if (0 != count($tool)) {

				$data = array(
					'videoid'       => $tool['videoid'],
					'video'         => $tool['video_status'],
					'video_width'   => ($tool['video_width'] != '') ? $tool['video_width'] : '70%',
					'video_height'  => ($tool['video_height'] != '') ? $tool['video_height'] : '500px',

					'chat'          => $tool['chat_status'],
					'chat_width'    => ($tool['chat_width'] != '') ? $tool['chat_width'] : '28%',
					'chat_height'   => ($tool['chat_height'] != '') ? $tool['chat_height'] : '500px',

					'banner'        => $tool['banner_status'],
					'banner_width'  => $tool['banner_width'],
					'banner_height' => $tool['banner_height'],
					'banner_content'=> $tool['banner_content'],

					'socialmedia'   => str_replace('\\', '', $option['socialmedia'])
				);

				die(json_encode($data));

			}
			die ('error');
		}
		die ('error');
	}

	function deleteHijackPost() {
		if ($_POST) {
			$id = intval($_POST['id']);

			$q = 'UPDATE `'. $this->tableVideos .'` SET `hijack_postid`=0 WHERE `id`='. intval($id);
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}

	function updateHijackPostid() {
		if ($_POST) {
			$id             = intval($_POST['id']);
			$hijack_postid  = intval($_POST['postid']);

			$q = 'UPDATE `'. $this->tableVideos .'` SET `hijack_postid`='. intval($hijack_postid) .' WHERE `id`='. intval($id);
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}

	function addYoutube() {
		if ($_POST) {
			$name           = trim(strip_tags($_POST['name']));

			$channelid      = trim(strip_tags($_POST['channelid']));

			$homepage       = (trim(strip_tags($_POST['homepage'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$pages          = (trim(strip_tags($_POST['pages'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$pagesid        = trim(strip_tags($_POST['pagesid']));
			$posts          = (trim(strip_tags($_POST['posts'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$postsid        = trim(strip_tags($_POST['postsid']));

			$created        = strftime('%Y-%m-%d %T');
			$modified       = strftime('%Y-%m-%d %T');
			$ip             = $_SERVER['REMOTE_ADDR'];
			$status         = VHL_ENABLED;

			$q = 'INSERT INTO `'. $this->tableYoutube .'` (
				`youtubeid`, `name`, `channelid`,
				`homepage`, `pages`, `pagesid`, `posts`, `postsid`,
				`created`, `modified`, `ip`, `status`
			) VALUES (
				NULL, "'. $name .'", "'. $channelid .'",
				"'. $homepage .'", "'. $pages .'", "'. $pagesid .'", "'. $posts .'", "'. $postsid .'",
				"'. $created .'", "'. $modified .'", "'. $ip .'", "'. $status .'"
			)';
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}

	function getAllYoutubes() {
		$q = 'SELECT * FROM `'. $this->tableYoutube .'`';
		return $this->db->get_results($q, ARRAY_A);
	}

	function getYoutubeById($youtubeid) {
		$q = 'SELECT * FROM `'. $this->tableYoutube .'` WHERE `youtubeid`='. intval($youtubeid);
		return $this->db->get_row($q, ARRAY_A);
	}

	function deleteYoutube() {
		if ($_POST) {
			$youtubeid = intval($_POST['id']);

			$q = 'DELETE FROM `'. $this->tableYoutube .'` WHERE `youtubeid`='. intval($youtubeid);
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}

	function updateYoutubeStatus() {
		if ($_POST) {
			$youtubeid  = intval($_POST['id']);
			$youtube    = $this->getYoutubeById($youtubeid);

			if (0 != count($youtube)) {
				$status     = $youtube['status'] == VHL_ENABLED ? VHL_DISABLED : VHL_ENABLED;
				$modified   = strftime('%Y-%m-%d %T');

				$q = 'UPDATE `'. $this->tableYoutube .'` SET `status`='. $status .', `modified`="'. $modified .'" WHERE `youtubeid`='. intval($youtubeid);
				$this->db->query($q);

				die ('done');
			}

			die ('error');
		}
		die ('error');
	}

	function updateYoutube() {
		if ($_POST) {
			$youtubeid      = intval($_POST['id']);
			$name           = trim(strip_tags($_POST['name']));

			$channelid      = trim(strip_tags($_POST['channelid']));

			$homepage       = (trim(strip_tags($_POST['homepage'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$pages          = (trim(strip_tags($_POST['pages'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$pagesid        = trim(strip_tags($_POST['pagesid']));
			$posts          = (trim(strip_tags($_POST['posts'])) == 'true') ? VHL_ENABLED : VHL_DISABLED;
			$postsid        = trim(strip_tags($_POST['postsid']));

			$modified       = strftime('%Y-%m-%d %T');
			$ip             = $_SERVER['REMOTE_ADDR'];

			$q = 'UPDATE `'. $this->tableYoutube .'` SET `name`="'. $name .'", `channelid`="'. $channelid .'",
					`homepage`="'. $homepage .'", `pages`="'. $pages .'", `pagesid`="'. $pagesid .'", `posts`="'. $posts .'", `postsid`="'. $postsid .'",
					`modified`="'. $modified .'", `ip`="'. $ip .'" WHERE `youtubeid`='. intval($youtubeid);
			$this->db->query($q);

			die ('done');
		}
		die ('error');
	}

	function getYoutubeByStatus($status) {
		$q = 'SELECT * FROM `'. $this->tableYoutube .'` WHERE `status`='. VHL_ENABLED .' LIMIT 1';
		return $this->db->get_results($q, ARRAY_A);
	}

	function updateOfferPush() {
		if ($_POST) {
			$id             = intval($_POST['id']);
			$videoid        = trim(strip_tags($_POST['videoid']));
			$banner_content = $_POST['content'];
			$tool           = $this->getVideoById($id);
			if (0 != count($tool)) {
				$q = 'UPDATE `'. $this->tableVideos .'` SET `videoid`="'. $videoid .'", `banner_content`="'. $banner_content .'" WHERE `id`='.intval($id);
				$this->db->query($q);
				die ('done');
			}
			die ('error');
		}
		die ('error');
	}

	function getVideoByIdToDashboard() {
		if ($_POST) {
			$id     = intval($_POST['id']);
			$tool   = $this->getVideoById($id);

			if (0 != count($tool)) {
				$data = array(
					'banner_content'   => (strlen($tool['banner_content']) != 0) ? $tool['banner_content'] : 'No content found.'
				);
				die (json_encode($data));
			}
			die ('error');
		}
		die('error');
	}

	function getLiveVideoToDashboard() {
		$q = 'SELECT * FROM `'. $this->tableVideos .'` WHERE `status`='. VHL_ENABLED .' AND `hijack_postid` != 0 LIMIT 1';
		return $this->db->get_results($q, ARRAY_A);
	}

	function updateConfigOptions() {
		if ($_POST) {
			$options = get_option($this->tableOptions);
			if (!is_array($options) || is_array($options)) {
				$values = array(
					'logo'          => trim(strip_tags($_POST['logo'])),
	                'on-air'        => trim(strip_tags($_POST['onAir'])),
	                'background'    => trim(strip_tags($_POST['bg'])),
	                'socialmedia'   => trim($_POST['social']),
	                'footer'        => trim($_POST['footer'])
				);
				update_option($this->tableOptions, $values);
			}

			die ('done');
		}
		die ('error');
	}
}
