<?php
/**
 * Filename: _init.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class videoHacksLiveInit {
    function __construct() {
        //* init
        add_action('init', array($this, 'init'));
    }

    function init() {
        //* execute only inside of wp-admin and specifically to our plugins page only
        add_action('admin_init', array($this, 'adminScriptsAndStyles'));

        //* execute this on user-end side only.
        add_action('wp_footer', array($this, 'userScriptsAndStyles'));

	    //* hijack template :)
	    add_filter('template_include', array($this, 'hijackTemplate'));
    }

	function hijackTemplate($template) {
		global  $post,
				$videoHacksLiveDatabase;

		$postid = $post->ID;
		$vhl    = $videoHacksLiveDatabase->getVideoByPostId($postid);
		if (0 != count($vhl)) {
			$template = VHL_PATH .'live/live.php';
		}

		return $template;
	}

    function userScriptsAndStyles() {
	    global $post;
		global $videoHacksLiveDatabase;
	    global $videoHacksLiveHelpers;


		$domain = $videoHacksLiveHelpers->getUrlHost(get_bloginfo('home'));
		$postid = $post->ID;
		$tool   = $videoHacksLiveDatabase->getVideoByPostId($postid);
	    $toolid = $tool['id'];
		if (0 != count($tool)) {
			//* video config
			$video = $tool['video_status'];
			$video_width = ($tool['video_width'] != '') ? $tool['video_width'] : '70%';
			$video_height = ($tool['video_height'] != '') ? $tool['video_height'] : '500px';

			//* chat config
			$chat = $tool['chat_status'];
			$chat_width = ($tool['chat_width'] != '') ? $tool['chat_width'] : '28%';
			$chat_height = ($tool['chat_height'] != '') ? $tool['chat_height'] : '500px';

			//* banner config
			$banner = $tool['banner_status'];
			$banner_width = ($tool['banner_width'] != '') ? $tool['banner_width'] : '100%';
			$banner_height = ($tool['banner_height'] != '') ? $tool['banner_height'] : '50%';
			?>


			<script type="text/javascript">
			    if (!window.jQuery) {
				    document.write('<script type="text/javascript" src="<?php echo VHL_URL .'tmpl/js/jquery-2.1.3.min.js'; ?>"><\/script>');
			    }
		    </script>
		    <script type="text/javascript" src="<?php echo VHL_URL .'tmpl/js/js.cookie.js'; ?>"></script>
		    <script type="text/javascript">
			    var vhl = jQuery.noConflict();
			    vhl(function($) {

				    var cookieMonster   = Cookies.noConflict();
				        cookieMonster.remove('vhl-videoid');
				        cookieMonster.remove('vhl-video');
				        cookieMonster.remove('vhl-video-width');
				        cookieMonster.remove('vhl-video-height');
				        cookieMonster.remove('chat');
					    cookieMonster.remove('chat-width');
					    cookieMonster.remove('chat-height');
				        cookieMonster.remove('banner');
					    cookieMonster.remove('banner-width');


				        cookieMonster.set('vhl-videoid', '<?php echo $tool['videoid']; ?>');
					    cookieMonster.set('vhl-video', <?php echo $video; ?>);
					    cookieMonster.set('vhl-video-width', '<?php echo $video_width; ?>');
					    cookieMonster.set('vhl-video-height', '<?php echo $video_height; ?>');

					    cookieMonster.set('vhl-chat', <?php echo $chat; ?>);
					    cookieMonster.set('vhl-chat-width', '<?php echo $chat_width; ?>');
					    cookieMonster.set('vhl-chat-height', '<?php echo $chat_height; ?>');

					    cookieMonster.set('vhl-banner', <?php echo $banner; ?>);
					    cookieMonster.set('vhl-banner-width', '<?php echo $banner_width; ?>');

				    var container_video = $('.vhl-container-video');
				    var container_chat  = $('.vhl-container-chat');
				    var container_banner= $('.vhl-container-banner');

				    var mltData = {
					    action  : 'vhl_refresh',
					    id      : <?php echo $toolid; ?>
				    }

				    var videoTimeout    = 0;
				    var videoRequest    = function() {

					    $.ajax({
						    url     : '<?php echo admin_url('admin-ajax.php'); ?>',
						    type    : 'POST',
						    dataType: 'json',
						    data    : mltData,
						    success : function(res) {
							    if (res != 'error') {

								    if (res.videoid != cookieMonster.get('vhl-videoid')) {
									    cookieMonster.remove('vhl-videoid');
									    cookieMonster.set('vhl-videoid');

									    $('#vhl-iframe-video').attr('src', '<?php echo VHL_FEED_URL; ?>'+ res.videoid +'<?php echo VHL_FEED_ARGS; ?>');
									    $('#vhl-iframe-chat').attr('src', '<?php echo VHL_CHAT_URL;1 ?>'+ res.videoid +'<?php echo VHL_CHAT_ARGS .'='. $domain; ?>');
								    }


								    if (res.video_width != cookieMonster.get('vhl-video-width')) {
									    cookieMonster.remove('vhl-video-width');
									    cookieMonster.set('vhl-video-width', res.video_width);

									    container_video.css('width', res.video_width);
									    container_video.attr('width', res.video_width);
								    }

								    if (res.video_height != cookieMonster.get('vhl-video-height')) {
									    cookieMonster.remove('vhl-video-height');
									    cookieMonster.set('vhl-video-height', res.video_height);

									    container_video.css('height', res.video_height);
									    container_video.attr('height', res.video_height);
								    }



								    if (res.chat_width != cookieMonster.get('vhl-chat-width')) {
									    cookieMonster.remove('vhl-chat-width');
									    cookieMonster.set('vhl-chat-width', res.chat_width);

									    container_chat.css('width', res.chat_width);
									    container_chat.attr('width', res.chat_width);
								    }

								    if (res.video_height != cookieMonster.get('vhl-chat-height')) {
									    cookieMonster.remove('vhl-chat-height');
									    cookieMonster.set('vhl-chat-height', res.video_height);

									    container_chat.css('height', res.chat_height);
									    container_chat.attr('height', res.chat_height);
								    }


								    if (res.banner_width != cookieMonster.get('vhl-banner-width')) {
									    cookieMonster.remove('vhl-banner-width');
									    cookieMonster.set('vhl-banner-width', res.banner_width);

									    container_banner.css('width', res.banner_width);
									    container_banner.attr('width', res.banner_width);
								    }

								    container_banner.empty().html(res.banner_content);


							    }
						    }
					    });

				    }

				    videoRequest();
				    videoTimeout = setInterval(videoRequest, 60000);

			    });
		    </script>


			<?php
		}
    }

    function adminScriptsAndStyles() {
        $pages = array(VHL_CODE);
        if (in_array(trim(strip_tags($_GET['page'])), $pages)) {

            //* jQueryUI effects
            wp_enqueue_script('jquery-ui-core');
            wp_enqueue_script('jquery-effects-core');

            wp_enqueue_script('jquery-ui-accordion');
            wp_enqueue_script('jquery-ui-autocomplete');
            wp_enqueue_script('jquery-ui-button');
            wp_enqueue_script('jquery-ui-datepicker');
            wp_enqueue_script('jquery-ui-dialog');
            wp_enqueue_script('jquery-ui-draggable');
            wp_enqueue_script('jquery-ui-droppable');
            wp_enqueue_script('jquery-ui-mouse');
            wp_enqueue_script('jquery-ui-position');
            wp_enqueue_script('jquery-ui-progressbar');
            wp_enqueue_script('jquery-ui-selectable');
            wp_enqueue_script('jquery-ui-slider');
            wp_enqueue_script('jquery-ui-sortable');
            wp_enqueue_script('jquery-ui-tabs');
            wp_enqueue_script('jquery-ui-widget');

            //* media upload and popup
            wp_enqueue_script('thickbox');
            wp_enqueue_style('thickbox');
            wp_enqueue_script('media-upload');

            //* colorpicker
            wp_enqueue_script('iris');

            //* jQueryUI theme
            wp_enqueue_style('jquery-ui-css', VHL_URL . '/tmpl/css/base/jquery-ui.css');

            //* cookie
            wp_enqueue_script('jquery-cookie-js', VHL_URL . '/tmpl/js/jquery.cookie.js');

            //* DataTables
            wp_enqueue_script('database-js', VHL_URL . '/tmpl/js/DataTables/media/js/jquery.dataTables.min.js');
//            wp_enqueue_style('dataTables-css', VHL_URL . '/tmpl/js/DataTables/media/css/jquery.dataTables_themeroller.css');

            //* tinyMCE fixed
            wp_enqueue_script('tinymce-fixed-js', VHL_URL . '/tmpl/js/tinymce-fixed.js');

            //* ZeroClipboard
            wp_enqueue_script('zeroclipboard-js', VHL_URL . '/tmpl/js/ZeroClipboard/ZeroClipboard.min.js');

            //* Fancyapps / Fancybox
            wp_enqueue_script('fancyapps-js', VHL_URL . '/tmpl/js/fancyapps/source/jquery.fancybox.pack.js');
            wp_enqueue_script('fancyapps-mousewheel-js', VHL_URL .'/tmpl/js/fancyapps/lib/jquery.mousewheel-3.0.6.pack.js');
            wp_enqueue_script('fancyapps-helpers-buttons-js', VHL_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-buttons.js');
            wp_enqueue_script('fancyapps-helpers-media-js', VHL_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-media.js');
            wp_enqueue_script('fancyapps-helpers-thumb-js', VHL_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-thumbs.js');

            wp_enqueue_style('fancyapps-css', VHL_URL .'/tmpl/js/fancyapps/source/jquery.fancybox.css');
            wp_enqueue_style('fancyapps-helpers-buttons-css', VHL_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-buttons.css');
            wp_enqueue_style('fancyapps-helpers-thumb-css', VHL_URL .'/tmpl/js/fancyapps/source/helpers/jquery.fancybox-thumbs.css');

            //* metroui
            wp_enqueue_style('metro-ui-css', VHL_URL .'tmpl/css/metro-ui/css/metro.min.css');
            wp_enqueue_style('metro-ui-icons-css', VHL_URL .'tmpl/css/metro-ui/css/metro-icons.min.css');
            wp_enqueue_style('metro-ui-responsive-css', VHL_URL .'tmpl/css/metro-ui/css/metro-responsive.min.css');
            wp_enqueue_script('metro-ui-js', VHL_URL .'tmpl/css/metro-ui/js/metro.min.js');

            //* custom css... always add this to the last part. overriding will be much easy.
            wp_enqueue_style('custom-css', VHL_URL . '/tmpl/css/custom.css');

        }
    }
}

new videoHacksLiveInit();
