<?php
error_reporting(E_ALL);
/**
 * Filename: live.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

global  $post,
		$videoHacksLiveDatabase,
		$videoHacksLiveHelpers;

$postid     = $post->ID;
$yotubes    = $videoHacksLiveDatabase->getYoutubeByStatus(VHL_ENABLED);
$domain     = $videoHacksLiveHelpers->getUrlHost(get_bloginfo('home'));
$vhl        = $videoHacksLiveDatabase->getVideoByPostId($postid);
$option     = get_option($videoHacksLiveDatabase->tableOptions);

$id         = $vhl['id'];
$videoid    = $vhl['videoid'];

if (0 != count($vhl)) {

	//* video config
	$video          = $vhl['video_status'];
	$video_width    = ($vhl['video_width'] != '') ? $vhl['video_width'] : '70%';
	$video_height   = ($vhl['video_height'] != '') ? $vhl['video_height'] : '500px';

	//* chat config
	$chat           = $vhl['chat_status'];
	$chat_width     = ($vhl['chat_width'] != '') ? $vhl['chat_width'] : '28%';
	$chat_height    = ($vhl['chat_height'] != '') ? $vhl['chat_height'] : '500px';

	//* banner config
	$banner         = $vhl['banner_status'];
	$banner_width   = ($vhl['banner_width'] != '') ? $vhl['banner_width'] : '100%';
	$banner_height  = ($vhl['banner_height'] != '') ? $vhl['banner_height'] : '50%';
	?>


	<!DOCTYPE html>
	<html lang="en">
		<head>
			<title><?php echo get_bloginfo('name'); ?></title>

			<link type="text/css" rel="stylesheet" href="<?php echo VHL_URL .'live/css/bootstrap/dist/css/bootstrap.min.css'; ?>" />
			<link type="text/css" rel="stylesheet" href="<?php echo VHL_URL .'live/css/style.css'; ?>" />

			<style type="text/css">
				body {
					background: url(<?php echo $option['background']; ?>) repeat-x !important;
				}
			</style>
		</head>
		<body>

			<div class="container-fluid">
				<div class="row">

					<div id="holder-logo" class="col-md-12" style="padding:0; display:none;">
						<a href="<?php echo get_bloginfo('home'); ?>" target="_blank">
							<img src="<?php echo $option['logo']; ?>" width="195" height="32"  align="left" alt="" />
						</a>
						<img src="<?php echo $option['on-air']; ?>" width="99" height="28" align="left" alt="" />
					</div>


					<?php
					//* holder-left
					if ($video == VHL_ENABLED) {
						$holderLeftClass = ($chat == VHL_ENABLED) ? 'col-md-9' : 'col-md-12';
						?>

						<div id="holder-video" class="<?php echo $holderLeftClass; ?>" style="padding:0;">
							<!-- video -->
							<div class="embed-responsive embed-responsive-16by9">
								<iframe src="<?php echo VHL_FEED_URL . $videoid . VHL_FEED_ARGS; ?>" class="embed-response-item" frameborder="0" allowfullscreen></iframe>
							</div>
							<!-- // video -->
						</div>

						<?php
					}



					//* holder right
					if ($chat == VHL_ENABLED) {
						$holderRightClass = ($video == VHL_ENABLED) ? 'col-md-3' : 'col-md-12';
						?>

						<div id="holder-chat" class="<?php echo $holderRightClass; ?>" style="padding:0;">
							<!-- logo and on-air -->
				            <?php if (0 != strlen($option['logo'])) { ?>
					            <a href="<?php echo get_bloginfo('home'); ?>" target="_blank">
									<img border="0" src="<?php echo $option['logo']; ?>" width="195" height="32" alt="" />
								</a>
							<?php } ?>

							<?php if (0 != strlen($option['on-air'])) { ?>
								<img border="0" src="<?php echo $option['on-air']; ?>" width="99" height="28" align="right" />
							<?php } ?>
				            <!-- // logo and on-air -->


							<div class="embed-responsive embed-responsive-16by9" style="height:350px;">
								<!-- live chat -->
								<iframe id="live-chat" class="embed-responsive-item" src="<?php echo VHL_CHAT_URL .'='. $videoid . VHL_CHAT_ARGS .'='. $domain; ?>" frameborder="0" allowfullscreen></iframe>
								<!-- // live chat -->
							</div>



							<div id="holder-social" align="left"></div>


						</div>

						<?php
					}
					?>


					<!-- holder banner -->
					<div id="holder-banner" class="col-md-12" style="padding:0;">

					</div>
					<!-- // holder banner -->


				</div>
			</div>


			<div class="container">
				<!-- footer -->
				<div class="footer" style="text-align:center; margin-top:20px;">
					<?php
					if (0 != strlen($option['footer'])) {
						echo str_replace('\\', '', $option['footer']);
					}
					?>
				</div>
				<!-- // footer -->
			</div>


			<script type="text/javascript" src="<?php echo VHL_URL .'live/js/jquery-2.1.3.min.js'; ?>"></script>
<!--			<script type="text/javascript" src="--><?php //echo VHL_URL .'live/css/bootstrap/dist/js/bootstrap.min.js'; ?><!--"></script>-->
			<script type="text/javascript" src="<?php echo VHL_URL .'live/js/js.cookie.js'; ?>"></script>
			<script type="text/javascript">
				var vhlCookieJs = jQuery.noConflict();
				vhlCookieJs(function($) {

					var $holder_logo    = $('#holder-logo'),
						$holder_video   = $('#holder-video'),
						$holder_chat    = $('#holder-chat'),
						$holder_banner  = $('#holder-banner'),
						$holder_social  = $('#holder-social'),
						
						$dataFromAndy   = {
							action  : 'vhl_refresh',
							id      : <?php echo $id; ?>
						};


					var vhlCookieMonster = Cookies.noConflict();
					vhlCookieMonster.remove('vhl-videoid');
					vhlCookieMonster.remove('vhl-video');
					vhlCookieMonster.remove('vhl-chat');
					vhlCookieMonster.remove('vhl-banner');

					vhlCookieMonster.set('vhl-videoid', '<?php echo $videoid; ?>');
					vhlCookieMonster.set('vhl-video', <?php echo $video; ?>);
					vhlCookieMonster.set('vhl-chat', <?php echo $chat; ?>);
					vhlCookieMonster.set('vhl-banner', <?php echo $banner; ?>);


					var videoTimeout    = 0;
					var videoRequest    = function() {

						$.ajax({
							url         : '<?php echo admin_url('admin-ajax.php'); ?>',
							type        : 'POST',
							data        : $dataFromAndy,
							dataType    : 'json',
							success     : function(res) {
								if (res != 'error') {

									vhlCookieMonster.remove('vhl-video');
									vhlCookieMonster.remove('vhl-chat');
									vhlCookieMonster.remove('vhl-banner');

									vhlCookieMonster.set('vhl-video', res.video);
									vhlCookieMonster.set('vhl-chat', res.chat);
									vhlCookieMonster.set('vhl-banner', res.banner);

									if (res.videoid != vhlCookieMonster.get('vhl-videoid')) {
										vhlCookieMonster.remove('vhl-videoid');
										vhlCookieMonster.set('vhl-videoid', res.videoid);

										$holder_video.find('iframe').attr('src', '<?php echo VHL_FEED_URL; ?>'+ res.videoid +'<?php echo VHL_FEED_ARGS; ?>');
									    $holder_video.find('iframe').attr('src', '<?php echo VHL_CHAT_URL;1 ?>'+ res.videoid +'<?php echo VHL_CHAT_ARGS .'='. $domain; ?>');
									}


									//* video section
									if (res.video == <?php echo VHL_ENABLED; ?> && res.chat == <?php echo VHL_DISABLED; ?>) {
										$holder_video.removeClass('col-md-9').addClass('col-md-12');
										$holder_logo.show();
										$holder_chat.hide();
									}

									if (res.video == <?php echo VHL_ENABLED; ?> && res.chat == <?php echo VHL_ENABLED; ?>) {
										$holder_video.removeClass('col-md-12').addClass('col-md-9');
										$holder_logo.hide();
										$holder_chat.show();
									}


									//* chat section
									if (res.chat == <?php echo VHL_ENABLED; ?> && res.video == <?php echo VHL_DISABLED; ?>) {
										$holder_chat.removeClass('col-md-3').addClass('col-md-12');
										$holder_video.hide();
									}

									if (res.chat == <?php echo VHL_ENABLED; ?> && res.video == <?php echo VHL_ENABLED; ?>) {
										$holder_chat.removeClass('col-md-12').addClass('col-md-3');
										$holder_video.show();
									}


									//* banner section
									$holder_banner.empty().html(res.banner_content);


									//* social media section
									$holder_social.empty().html(res.socialmedia);

								}
							}
						});

					}
					videoRequest();
//					videoTimeout = setInterval(videoRequest, 60000);
					videoTimeout = setInterval(videoRequest, 30000);
				});
			</script>

		</body>
	</html>


	<?php
}
