<?php
/**
 * Filename: manage.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');

$tools      = $videoHacksLiveDatabase->getAllVideos();
$tubes      = $videoHacksLiveDatabase->getAllYoutubes();
$options    = get_option($videoHacksLiveDatabase->tableOptions);
?>

    <div class="ui-tabs">
        <ul class="ui-tabs-nav">
            <li><a href="#introduction">Introduction</a></li>
            <li><a href="#manage">Manage <?php echo VHL_NAME; ?></a></li>
	        <li><a href="#youtube">Manage Youtube</a></li>
	        <li><a href="#configuration">Configuration</a></li>
        </ul>


	    <!-- configuration -->
	    <div id="configuration">
		    <form name="configurationForm" id="configurationForm" method="POST" action="">
				<input type="hidden" name="config-logo" id="config-logo" value="<?php echo $options['logo']; ?>" />
			    <input type="hidden" name="config-on-air" id="config-on-air" value="<?php echo $options['on-air']; ?>" />
			    <input type="hidden" name="config-background" id="config-background" value="<?php echo $options['background']; ?>" />


			    <div class="row cell">
				    <h3>Configuration</h3> <hr />
			    </div>

			    <div class="row cells2">
				    <div class="cell">
					    <label>Live Video Logo ( recommended size is 195x32 )</label>
						<div>
							<button name="cmdConfigUploadLogo" id="cmdConfigUploadLogo" class="button button-secnodary">
								<span class="icon mif-file-upload"></span> Upload Logo
							</button>
						</div>

					    <div id="holder-config-logo" style="margin-top:15px;">
						    <img src="<?php echo $options['logo']; ?>" width="195" height="32" alt="" />

						    <a href="javascript:void(0);" name="cmdConfigDeleteLogo" id="cmdConfigDeleteLogo" class="button button-secondary fg-red" title="Delete logo" style="margin-left:10px;">
							    <span class="icon mif-cancel"></span>
						    </a>
					    </div>
				    </div>
			    </div> <br /><br />


			    <div class="row cells2">
				    <div class="cell">
					    <label>On-Air Image ( recommended size is 99x28 )</label> <br />
					    <div>
						    <button name="cmdConfigUploadOnAir" id="cmdConfigUploadOnAir" class="button button-secondary">
							    <span class="icon mif-file-upload"></span> Upload On-Air Image
						    </button>
					    </div>

					    <div id="holder-config-on-air" style="margin-top:15px;">
						    <img src="<?php echo $options['on-air']; ?>" width="99" height="28" alt="" />

						    <a href="javascript:void(0);" name="cmdConfigDeleteOnAir" id="cmdConfigDeleteOnAir" class="button button-secondary fg-red" title="Delete on-air image" style="margin-left:10px;">
							    <span class="icon mif-cancel"></span>
						    </a>
					    </div>
				    </div>
			    </div> <br /><br />


			    <div class="row cells2">
				    <div class="cell">
					    <label>Background Image ( recommended size is 300x1800 )</label> <br />
					    <div>
						    <button name="cmdConfigUploadBackground" id="cmdConfigUploadBackground" class="button button-secondary">
							    <span class="icon mif-file-upload"></span> Upload Background Image
						    </button>
					    </div>

					    <div id="holder-config-background" style="margin-top:15px;">
						    <img src="<?php echo $options['background']; ?>" width="300" height="500" alt="" />

						    <a href="javascript:void(0);" name="cmdConfigDeleteBackground" id="cmdConfigDeleteBackground" class="button button-secondary fg-red" title="Delete background image" style="margin-left:10px;">
							    <span class="icon mif-cancel"></span>
						    </a>
					    </div>
				    </div>
			    </div> <br /><br />


			    <div class="row cells2">
				    <div class="cell">
						<div class="input-control textarea full-size">
							<label for="config-socialmedia">Social Media</label>
							<textarea name="config-socialmedia" id="config-socialmedia" cols="30" rows="10" placeholder="Enter social media details"><?php echo str_replace('\\', '', $options['socialmedia']); ?></textarea>
						</div>
				    </div>
			    </div> <br />


			    <div class="row cells2">
				    <div class="cell">
					    <div class="input-control textarea full-size">
						    <label for="config-footer">Footer Details</label>
						    <textarea name="config-footer" id="config-footer" cols="30" rows="10" placeholder="Enter footer details"><?php echo str_replace('\\', '', $options['footer']); ?></textarea>
					    </div>
				    </div>
			    </div> <br />


			    <div class="row cell">
				    <button name="cmdConfigUpdate" id="cmdConfigUpdate" class="button button-primary text-bold">
					    <span class="icon mif-checkmark"></span> Submit Changes
				    </button>
				    <span id="dialog-config" style="margin-left:10px;"></span>
			    </div>

		    </form>
	    </div>
	    <!-- // configuration -->


	    <!-- youtube -->
	    <div id="youtube">

		    <!-- holder - manage youtube -->
		    <div id="holder-manage-youtube">
				<div class="row cell">
					<h3>Manage Youtube
						<span style="float:right;">
							<span data-role="hint" data-hint-position="left" data-hint="New Youtube">
						        <a href="javascript:void(0);" name="cmdAddNewYoutube" id="cmdAddNewYoutube" class="button button-primary">
							        <span class="icon mif-plus"></span>
						        </a>
					        </span>
						</span>
					</h3> <hr />
				</div>

			    <div class="row cell">
				    <table id="data-tables" class="table striped hover border">
				        <thead>
				            <tr>
					            <th width="500">Name</th>
					            <th width="300" style="text-align:center;">Actions</th>
				            </tr>
				        </thead>

					    <?php
					    if (0 != count($tubes)) {
						    echo '<tbody>';

						        foreach ($tubes as $tube) {
							        $youtubeid = $tube['youtubeid'];
							        ?>

							        <tr>
								        <td><?php echo $tube['name']; ?></td>
								        <td style="text-align:center;">
									        <a href="javascript:void(0);" name="cmdYoutubeStatus" id="cmdYoutubeStatus" class="button button-secondary" rel="<?php echo $youtubeid; ?>" title="Update visibility for <?php echo $tube['name']; ?>">
									            <span class="icon mif-eye <?php echo ($tube['status'] == VHL_ENABLED) ? 'fg-green' : 'fg-red'; ?>"></span>
								            </a>
								            <a href="<?php echo admin_url('admin.php?page='. VHL_CODE .'&action=edit-youtube&id='. $youtubeid); ?>" class="button button-secondary" title="Edit <?php echo $tube['name']; ?>">
									            <span class="icon mif-pencil"></span>
								            </a>
								            <a href="javascript:void(0);" name="cmdYoutubeDelete" id="cmdYoutubeDelete" rel="<?php echo $youtubeid; ?>" class="button button-secondary" title="Delete <?php echo $tube['name']; ?>">
									            <span class="icon mif-cancel fg-red"></span>
								            </a>
								        </td>
							        </tr>

							        <?php
						        }

						    echo '</tbody>';
					    }
					    ?>
				    </table>
			    </div>
		    </div>
		    <!-- // holder - manage youtube -->


		    <!-- holder - add youtube -->
		    <div id="holder-addnew-youtube" style="display:none;">
			    <form name="addNewYoutubeForm" id="addNewYoutubeForm" method="POST" action="">

			        <div class="row cell">
				        <h3>Add New Youtube</h3>
			        </div>


				    <div class="row cell">
					    <div class="panel" data-role="panel">
						    <div class="heading">
							    <span class="title">Basic Settings</span>
						    </div>
						    <div class="content">
							    <br />
							    <div class="row cells2">
								    <div class="cell">
									    <div class="input-control text full-size">
										    <label for="youtube_name">Name ( reference only )</label>
										    <input type="text" name="youtube_name" id="youtube_name" placeholder="Enter name ( reference only )" value="" />
									    </div>
								    </div>
							    </div>
						    </div>
					    </div>
				    </div>


				    <div class="row cell">
					    <div class="panel" data-role="panel">
						    <div class="heading">
							    <span class="title">Youtube Settings</span>
						    </div>
						    <div class="content">
							    <div class="row cell">
								    <div class="input-control textarea full-size">
									    <label for="youtube_channelid">Youtube Channel</label>
									    <input type="text" name="youtube_channelid" id="youtube_channelid" placeholder="Enter youtube channel" value="" />
								    </div>
							    </div>
						    </div>
					    </div>
				    </div>


				    <div class="row cell">
					    <div class="panel" data-role="panel">
						    <div class="heading">
							    <span class="title">Widgets Settings</span>
						    </div>
						    <div class="content">
							    <div class="row cells3">
								    <div class="cell">
									    <label for="youtube_homepage" class="input-control checkbox">
										    <input type="checkbox" name="youtube_homepage" id="youtube_homepage" />
										    <span class="check"></span>
										    <span class="caption">Display in Homepage</span>
									    </label>
								    </div>

								    <div class="cell">
									    <label for="youtube_pages" class="input-control checkbox">
										    <input type="checkbox" name="youtube_pages" id="youtube_pages" />
										    <span class="check"></span>
										    <span class="caption">Display in Pages</span>
									    </label>
									    
									    <div id="holder-youtube-pagesid" style="display:none;">
										    <div class="input-control text full-size">
											    <input type="text" name="youtube_pagesid" id="youtube_pagesid" placeholder="Enter PageID. Comma separated." value="" />
										    </div>
									    </div>
								    </div>

								    <div class="cell">
									    <label for="youtube_posts" class="input-control checkbox">
										    <input type="checkbox" name="youtube_posts" id="youtube_posts" />
										    <span class="check"></span>
										    <span class="caption">Display in Posts</span>
									    </label> <br />

									    <div id="holder-youtube-postsid" style="display:none;">
										    <div class="input-control text full-size">
											    <input type="text" name="youtube_postsid" id="youtube_postsid" placeholder="Enter PostID. Comma separated." value="" />
										    </div>
									    </div>
								    </div>
							    </div>
						    </div>
					    </div>
				    </div>





				    <div style="clear:both;"></div>

			        <br />
			        <div class="row cell">
				        <button name="cmdSubmitNewYoutube" id="cmdSubmitNewYoutube" class="button button-primary text-bold">
					        <span class="icon mif-checkmark"></span> Submit
				        </button>
				        <a href="javascript:void(0);" name="cmdCancelNewYoutube" id="cmdCancelNewYoutube" class="button button-secondary fg-red text-bold">
					        <span class="icon mif-cross"></span> Cancel
				        </a>

				        <span id="dialog-addnew-youtube" style="margin-left:10px;"></span>
			        </div>
			    </form>
		    </div>
		    <!-- // holder - add youtube -->

	    </div>
	    <!-- // youtube -->




        <!-- introduction -->
        <div id="introduction">
            <?php include_once ('pages/intro.part.php'); ?>
        </div>
        <!-- // introduction -->


        <!-- manage -->
        <div id="manage">

	        <!-- holder - manage -->
	        <div id="holder-manage">
		        <div class="row cell">
			        <h3>Manage <?php echo VHL_NAME; ?>
				        <span style="float:right;">
					        <span data-role="hint" data-hint-position="left" data-hint="New <?php echo VHL_NAME; ?>">
						        <a href="javascript:void(0);" name="cmdAddNewVideo" id="cmdAddNewVideo" class="button button-primary">
							        <span class="icon mif-plus"></span>
						        </a>
					        </span>
				        </span>
			        </h3> <hr />
		        </div>

		        <div class="row cell">
			        <table id="data-tables" class="table striped hover border">
				        <thead>
				            <tr>
					            <th width="100" style="text-align:center;">ID</th>
					            <th width="500">Name</th>
					            <th width="300">Actions</th>
				            </tr>
				        </thead>

				        <?php
				        if (0 != count($tools)) {
					        echo '<tbody>';
					            foreach ($tools as $tool) {
						            $toolid = $tool['id'];
						            ?>

						            <tr>
							            <td align="center" valign="top"><?php echo $toolid; ?></td>
							            <td valign="top"><?php echo $tool['name']; ?></td>
							            <td valign="top">
								            <a href="javascript:void(0);" name="cmdStatus" id="cmdStatus" class="button button-secondary" rel="<?php echo $toolid; ?>" title="Update visibility for <?php echo $tool['name']; ?>">
									            <span class="icon mif-eye <?php echo ($tool['status'] == VHL_ENABLED) ? 'fg-green' : 'fg-red'; ?>"></span>
								            </a>
								            <a href="<?php echo admin_url('admin.php?page='. VHL_CODE .'&action=edit&id='. $toolid); ?>" class="button button-secondary" title="Edit <?php echo $tool['name']; ?>">
									            <span class="icon mif-pencil"></span>
								            </a>
								            <a href="javascript:void(0);" name="cmdDelete" id="cmdDelete" rel="<?php echo $toolid; ?>" class="button button-secondary" title="Delete <?php echo $tool['name']; ?>">
									            <span class="icon mif-cancel fg-red"></span>
								            </a>

								            <hr />
								            <?php
									        if (0 != $tool['hijack_postid']) {
										        echo '<a href="'. get_bloginfo('url') .'?p='. $tool['hijack_postid'] .'" class="button button-secondary" target="_blank" title="View live page">View Live Page</a>';
										        echo '&nbsp;';
										        echo '<a href="javascript:void(0);" name="cmdRemoveLivePage" id="cmdRemoveLivePage" rel="'. $toolid .'" class="button button-secondary" title="Delete live page" style="color:#ff0000;">Delete Live Page</a>';
									        }
									        else {
										        ?>

										        <a href="javascript:void(0);" name="cmdSetLivePage" id="cmdSetLivePage" rel="<?php echo $toolid; ?>" class="button button-secondary" title="Set live page for <?php echo $tool['name']; ?>">Set Live Page</a>

										        <?php
									        }
									        ?>


								            <div id="holder-live-page-<?php echo $toolid; ?>" title="Set Live Page for <?php echo $tool['name']; ?>" style="display:none;">
									            <div class="row cell">
										            <div class="input-control select full-size">
												        <select name="hijack_postid_<?php echo $toolid; ?>" id="hijack_postid_<?php echo $toolid; ?>" style="height:38px;">
													        <option value="0">&mdash; Do not set live page &mdash;</option>

													        <?php
													        if (0 != count($mltPages)) {
														        foreach ($mltPages as $pages) {
															        echo '<option value="'. $pages['ID'] .'">'. $pages['post_title'] .'</option>';
														        }
													        }
													        ?>
												        </select>
											        </div>
									            </div>
									            <span id="dialog-hijack-postid-<?php echo $toolid; ?>"></span>
								            </div>
							            </td>
						            </tr>

						            <?php
					            }
					        echo '</tbody>';
				        }
				        ?>
			        </table>
		        </div>
	        </div>
	        <!-- // holder - manage -->


	        <!-- holder - addnew -->
	        <div id="holder-addnew" style="display:none;">
		        <form name="addNewVideoForm" id="addNewVideoForm" method="POST" action="">

			        <div class="row cell">
				        <h3>Add New</h3>
			        </div>


			        <div class="row cell">
				        <div class="panel" data-role="panel">
					        <div class="heading">
						        <span class="title">Basic Settings</span>
					        </div>
					        <div class="content">

						        <br />
						        <div class="row cells2">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_name">Name ( reference only )</label>
									        <input type="text" name="live_name" id="live_name" placeholder="Enter name ( reference only )" value="" />
								        </div>
							        </div>
						        </div>

						        <div class="row cells2">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_videoid">Video ID</label>
									        <input type="text" name="live_videoid" id="live_videoid" placeholder="Enter Video ID" value="" />
								        </div>
							        </div>
						        </div>

					        </div>
				        </div>
			        </div>


			        <div class="row cells2">
				        <div class="cell">
					        <div class="panel" data-role="panel">
						        <div class="heading">
							        <span class="title">Video Settings</span>
						        </div>
						        <div class="content">

							        <div class="row cell">
                                        <label for="live_video_status" class="input-control checkbox">
                                            <input type="checkbox" name="live_video_status" id="live_video_status" />
                                            <span class="check"></span>
                                            <span class="caption">Enable</span>
                                        </label>
                        	        </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_video_width">Width</label>
                                            <input type="text" name="live_video_width" id="live_video_width" placeholder="Enter width" value="" />
                                        </div>
                                    </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_video_height">Height</label>
                                            <input type="text" name="live_video_height" id="live_video_height" placeholder="Enter height" value="" />
                                        </div>
                                    </div>

						        </div>
					        </div>
				        </div>


                        <div class="cell">
                            <div class="panel" data-role="panel">
						        <div class="heading">
							        <span class="title">Chat Settings</span>
						        </div>
						        <div class="content">

							        <div class="row cell">
                                        <label for="live_chat_status" class="input-control checkbox">
                                            <input type="checkbox" name="live_chat_status" id="live_chat_status" />
                                            <span class="check"></span>
                                            <span class="caption">Enable</span>
                                        </label>
                        	        </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_chat_width">Width</label>
                                            <input type="text" name="live_chat_width" id="live_chat_width" placeholder="Enter width" value="" />
                                        </div>
                                    </div> <br />

                                    <div class="row cell">
                                        <div class="input-control text full-size">
                                            <label for="live_chat_height">Height</label>
                                            <input type="text" name="live_chat_height" id="live_chat_height" placeholder="Enter height" value="" />
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
			        </div>


			        <div class="row cell">
				        <div class="panel" data-role="panel">
					        <div class="heading">
						        <span class="title">Offer Push Settings</span>
					        </div>
					        <div class="content">

						        <div class="row cell">
							        <label for="live_banner_status" class="input-control checkbox">
								        <input type="checkbox" name="live_banner_status" id="live_banner_status" />
								        <span class="check"></span>
								        <span class="caption">Enable</span>
							        </label>
						        </div> <br />

						        <div class="row cells2" style="display:none;">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_banner_width">Width</label>
                                            <input type="text" name="live_banner_width" id="live_banner_width" placeholder="Enter width" value="" />
								        </div>
							        </div>
						        </div>

						        <div class="row cells2" style="display:none;">
							        <div class="cell">
								        <div class="input-control text full-size">
									        <label for="live_banner_height">Height</label>
									        <input type="text" name="live_banner_height" id="live_banner_height" placeholder="Enter height" value="" />
								        </div>
							        </div>
						        </div>

						        <div class="row cell">
							        <div class="input-control textarea full-size">
								        <label for="live_banner_content">Content</label>
								        <?php
								        wp_editor('', 'live_banner_content', array(
									        'textarea_name' => 'live_banner_content',
									        'textarea_rows' => 15,
									        'wpautop'       => true,
									        'media_buttons' => true,
									        'quicktags'     => false
								        ));
								        ?>
							        </div>
						        </div>

					        </div>
				        </div>
			        </div> <br />


			        <div class="row cells2">
				        <div class="cell">
					        <div class="input-control select full-size">
						        <label for="live_postid">Set Live Page</label>
						        <select name="live_hijack_postid" id="live_hijack_postid" style="height:38px;">
							        <option value="0">&mdash; Do not set live page &mdash;</option>

							        <?php
							        if (0 != count($mltPages)) {
								        foreach ($mltPages as $pages) {
									        echo '<option value="'. $pages['ID'] .'">'. $pages['post_title'] .'</option>';
								        }
							        }
							        ?>
						        </select>
					        </div>
				        </div>
			        </div>






			        <div style="clear:both;"></div>

			        <br />
			        <div class="row cell">
				        <button name="cmdSubmitNewVideo" id="cmdSubmitNewVideo" class="button button-primary text-bold">
					        <span class="icon mif-checkmark"></span> Submit
				        </button>
				        <a href="javascript:void(0);" name="cmdCancelNewVideo" id="cmdCancelNewVideo" class="button button-secondary fg-red text-bold">
					        <span class="icon mif-cross"></span> Cancel
				        </a>

				        <span id="dialog-addnew" style="margin-left:10px;"></span>
			        </div>
		        </form>
	        </div>
	        <!-- // holder - addnew -->

        </div>
        <!-- // manage -->
    </div>

<?php
include_once ('pages/footer.part.php');
