<?php
/**
 * Plugin Name: Video Hacks Live
 * Plugin URI : http://BlogProfitNetwork.Com/plugins
 * Description: Video Hacks Live is an awesome tool created by Andy Christian S. Loyola.
 * Version: 1.0.9
 * Author: Blog Profit Network
 * Author URI: http://BlogProfitNetwork.Com/plugins
 *
 *
 *
 * Filename: vhl.php
 * Created by: Blog Profit Network
 * Copyright: 2014 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com
 * GTalk: marcus@blogprofitnetwork.com
 */
define ('_IN_MAIN_MODULE', 1);

include_once ('config.local.php');
include_once ('lib/_database.php');
include_once ('lib/_pages.php');
include_once ('lib/_metaboxes.php');
include_once ('lib/_shortcodes.php');
include_once ('lib/_widgets.php');
include_once ('lib/_dashboard.php');
include_once ('lib/_helpers.php');
include_once ('lib/_init.php');


//* init variables
$videoHacksLiveDatabase = new videoHacksLiveDatabase();
$videoHacksLiveHelpers  = new videoHacksLiveHelpers();
$videoHacksLiveWidgets  = new videoHacksLiveWidgets();


//* hooks for table installation / uninstallation
register_activation_hook(__FILE__, array($videoHacksLiveDatabase, 'install'));
register_deactivation_hook(__FILE__, array($videoHacksLiveDatabase, 'uninstall'));


//* widgets support
add_action('widgets_init', array($videoHacksLiveWidgets , 'init'));


//* ajax requests
add_action('wp_ajax_vhl_add_video', array($videoHacksLiveDatabase, 'addVideo'));
add_action('wp_ajax_vhl_update_status', array($videoHacksLiveDatabase, 'updateVideoStatus'));
add_action('wp_ajax_vhl_delete_video', array($videoHacksLiveDatabase, 'deleteVideo'));
add_action('wp_ajax_vhl_edit_video', array($videoHacksLiveDatabase, 'editVideo'));
add_action('wp_ajax_vhl_delete_hijack', array($videoHacksLiveDatabase, 'deleteHijackPost'));
add_action('wp_ajax_vhl_update_hijack_postid', array($videoHacksLiveDatabase, 'updateHijackPostid'));
add_action('wp_ajax_vhl_update_offer_push', array($videoHacksLiveDatabase, 'updateOfferPush'));

add_action('wp_ajax_nopriv_vhl_refresh', array($videoHacksLiveDatabase, 'getJSONVideoById'));
add_action('wp_ajax_vhl_refresh', array($videoHacksLiveDatabase, 'getJSONVideoById'));


add_action('wp_ajax_vhl_add_youtube', array($videoHacksLiveDatabase, 'addYoutube'));
add_action('wp_ajax_vhl_delete_youtube', array($videoHacksLiveDatabase, 'deleteYoutube'));
add_action('wp_ajax_vhl_update_youtube_status', array($videoHacksLiveDatabase, 'updateYoutubeStatus'));
add_action('wp_ajax_vhl_update_youtube', array($videoHacksLiveDatabase, 'updateYoutube'));


add_action('wp_ajax_vhl_get_video', array($videoHacksLiveDatabase, 'getVideoByIdToDashboard'));

add_action('wp_ajax_vhl_config_update', array($videoHacksLiveDatabase, 'updateConfigOptions'));